curl --request GET \
--url https://api.example.com/api/core/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/core/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/core/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"chat_model_name": "<string>",
"label": "<string>",
"description": {},
"provider": "<string>",
"icon_type": "icon",
"icon": "<string>",
"input_cost_per_token": 123,
"category": "most_capable",
"stability": "stable",
"max_input_tokens": 128000,
"region": "<string>",
"default": false,
"supports_response_format": false
}
]Get available chat models
Authorizations
Bearer token authentication. Format: 'Bearer '
Response
Successful Response
Show child attributes
Show child attributes
Types of icons for the supported AI chat models. ICON: The provided icon will be a string that represents a font-awesome icon. NUMBER: The provided icon will be a string that will be displayed in the frontend, preferably a number (for example a '4o' for GPT-4o).
icon, number The category of the chat model. MOST_CAPABLE: The model is one of the most capable in terms of performance for its provider. MOST_CAPABLE_NON_REASONING: The model is one of the most capable in terms of performance for its provider, but without reasoning capabilities. BALANCED: The model is balanced in terms of cost, speed and capability. FAST_AND_CHEAP: The model is cheaper and faster than the most capable models. LEGACY: The model is a legacy model that in most cases is slower and costs more than the most capable models. In some edge cases it might still perform better for specific tasks.
most_capable, most_capable_non_reasoning, balanced, fast_and_cheap, legacy stable, experimental, preview Was this page helpful?

